classification
Title: Mac OS High Sierra Beta - Python Crash
Type: crash Stage: resolved
Components: macOS Versions: Python 2.7
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: ayesjm, ned.deily, ronaldoussoren
Priority: normal Keywords:

Created on 2017-07-03 14:39 by ayesjm, last changed 2017-07-07 20:57 by ned.deily. This issue is now closed.

Messages (5)
msg297598 - (view) Author: Joshua (ayesjm) Date: 2017-07-03 14:38
Process:               Python [13106]
Path:                  /System/Library/Frameworks/Python.framework/Versions/2.7/Resources/Python.app/Contents/MacOS/Python
Identifier:            Python
Version:               2.7.10 (2.7.10)
Code Type:             X86-64 (Native)
Parent Process:        Python [13070]
Responsible:           Python [13106]
User ID:               501

Date/Time:             2017-07-03 10:28:23.591 -0400
OS Version:            Mac OS X 10.13 (17A291m)
Report Version:        12
Anonymous UUID:        C76645A8-C44A-EAB5-D937-2BD69A20A0A9


Time Awake Since Boot: 18000 seconds

System Integrity Protection: enabled

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_CRASH (SIGABRT)
Exception Codes:       0x0000000000000000, 0x0000000000000000
Exception Note:        EXC_CORPSE_NOTIFY

Termination Reason:    Namespace OBJC, Code 0x1

Application Specific Information:
crashed on child side of fork pre-exec
objc[13106]: +[__NSPlaceholderDate initialize] may have been in progress in another thread when fork() was called.

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fffbded33d6 __abort_with_payload + 10
1   libsystem_kernel.dylib        	0x00007fffbdecdf71 abort_with_payload_wrapper_internal + 89
2   libsystem_kernel.dylib        	0x00007fffbdecdf18 abort_with_reason + 22
3   libobjc.A.dylib               	0x00007fffbd1a99f2 _objc_fatalv(unsigned long long, unsigned long long, char const*, __va_list_tag*) + 108
4   libobjc.A.dylib               	0x00007fffbd1a98a4 _objc_fatal(char const*, ...) + 135
5   libobjc.A.dylib               	0x00007fffbd1aa4cb performForkChildInitialize(objc_class*, objc_class*) + 341
6   libobjc.A.dylib               	0x00007fffbd19ae8f lookUpImpOrForward + 228
7   libobjc.A.dylib               	0x00007fffbd19a914 _objc_msgSend_uncached + 68
8   com.apple.CoreFoundation      	0x00007fff96aa2a92 CFDateCreate + 34
9   com.apple.CoreFoundation      	0x00007fff96aa0168 __CFBinaryPlistCreateObjectFiltered + 1608
10  com.apple.CoreFoundation      	0x00007fff96aa1947 __CFBinaryPlistCreateObjectFiltered + 7719
11  com.apple.CoreFoundation      	0x00007fff96a86b1b __CFTryParseBinaryPlist + 187
12  com.apple.CoreFoundation      	0x00007fff96a864b1 _CFPropertyListCreateWithData + 97
13  com.apple.CoreFoundation      	0x00007fff96a863a0 CFPropertyListCreateWithData + 80
14  com.apple.CoreFoundation      	0x00007fff96a9f08b -[CFPrefsPlistSource handleReply:toRequestNewDataMessage:onConnection:retryCount:error:] + 683
15  com.apple.CoreFoundation      	0x00007fff96a9edb3 __93-[CFPrefsSearchListSource handleReply:toRequestNewDataMessage:onConnection:retryCount:error:]_block_invoke + 147
16  libxpc.dylib                  	0x00007fffbe040d71 xpc_array_apply + 57
17  com.apple.CoreFoundation      	0x00007fff96a9ecec -[CFPrefsSearchListSource handleReply:toRequestNewDataMessage:onConnection:retryCount:error:] + 300
18  com.apple.CoreFoundation      	0x00007fff96c2644c __80-[CFPrefsSearchListSource alreadylocked_generationCountFromListOfSources:count:]_block_invoke_3.139 + 76
19  com.apple.CoreFoundation      	0x00007fff96c4d3e4 -[_CFXPreferences withConnectionForRole:performBlock:] + 36
20  com.apple.CoreFoundation      	0x00007fff96c263f5 __80-[CFPrefsSearchListSource alreadylocked_generationCountFromListOfSources:count:]_block_invoke_2.138 + 117
21  libsystem_trace.dylib         	0x00007fffbe01f1ab _os_activity_initiate_impl + 53
22  com.apple.CoreFoundation      	0x00007fff96c26352 __80-[CFPrefsSearchListSource alreadylocked_generationCountFromListOfSources:count:]_block_invoke.136 + 114
23  com.apple.CoreFoundation      	0x00007fff96c25c97 CFPREFERENCES_IS_WAITING_FOR_USER_CFPREFSD + 39
24  com.apple.CoreFoundation      	0x00007fff96c25eec -[CFPrefsSearchListSource alreadylocked_generationCountFromListOfSources:count:] + 348
25  com.apple.CoreFoundation      	0x00007fff96a9d476 -[CFPrefsSearchListSource alreadylocked_copyDictionary] + 326
26  com.apple.CoreFoundation      	0x00007fff96a9cff3 -[CFPrefsSearchListSource alreadylocked_copyValueForKey:] + 67
27  com.apple.CoreFoundation      	0x00007fff96be1465 -[CFPrefsSource copyValueForKey:] + 53
28  com.apple.CoreFoundation      	0x00007fff96c4c040 __76-[_CFXPreferences copyAppValueForKey:identifier:container:configurationURL:]_block_invoke + 32
29  com.apple.CoreFoundation      	0x00007fff96c2730f __108-[_CFXPreferences(SearchListAdditions) withSearchListForIdentifier:container:cloudConfigurationURL:perform:]_block_invoke + 287
30  com.apple.CoreFoundation      	0x00007fff96c27185 -[_CFXPreferences(SearchListAdditions) withSearchListForIdentifier:container:cloudConfigurationURL:perform:] + 341
31  com.apple.CoreFoundation      	0x00007fff96c4bfe3 -[_CFXPreferences copyAppValueForKey:identifier:container:configurationURL:] + 131
32  com.apple.SystemConfiguration 	0x00007fffa3022745 SCDynamicStoreCopyProxiesWithOptions + 155
33  _scproxy.so                   	0x000000010503092a 0x105030000 + 2346
34  org.python.python             	0x00007fffa1339280 PyEval_EvalFrameEx + 3676
35  org.python.python             	0x00007fffa133e256 0x7fffa12b8000 + 549462
36  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
37  org.python.python             	0x00007fffa133e256 0x7fffa12b8000 + 549462
38  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
39  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
40  org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
41  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
42  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
43  org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
44  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
45  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
46  org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
47  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
48  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
49  org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
50  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
51  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
52  org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
53  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
54  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
55  org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
56  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
57  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
58  org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
59  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
60  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
61  org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
62  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
63  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
64  org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
65  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
66  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
67  org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
68  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
69  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
70  org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
71  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
72  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
73  org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
74  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
75  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
76  org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
77  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
78  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
79  org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
80  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
81  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
82  org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
83  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
84  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
85  org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
86  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
87  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
88  org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
89  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
90  org.python.python             	0x00007fffa133e256 0x7fffa12b8000 + 549462
91  org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
92  org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
93  org.python.python             	0x00007fffa12df935 0x7fffa12b8000 + 162101
94  org.python.python             	0x00007fffa12c2581 PyObject_Call + 97
95  org.python.python             	0x00007fffa12ccc9e 0x7fffa12b8000 + 85150
96  org.python.python             	0x00007fffa12c2581 PyObject_Call + 97
97  org.python.python             	0x00007fffa1307c78 0x7fffa12b8000 + 326776
98  org.python.python             	0x00007fffa1303434 0x7fffa12b8000 + 308276
99  org.python.python             	0x00007fffa12c2581 PyObject_Call + 97
100 org.python.python             	0x00007fffa1338f76 PyEval_EvalFrameEx + 2898
101 org.python.python             	0x00007fffa133e256 0x7fffa12b8000 + 549462
102 org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
103 org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
104 org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
105 org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
106 org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
107 org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
108 org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
109 org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
110 org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
111 org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
112 org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
113 org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
114 org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
115 org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
116 org.python.python             	0x00007fffa133e2b4 0x7fffa12b8000 + 549556
117 org.python.python             	0x00007fffa1338b45 PyEval_EvalFrameEx + 1825
118 org.python.python             	0x00007fffa1338232 PyEval_EvalCodeEx + 1551
119 org.python.python             	0x00007fffa1337c1d PyEval_EvalCode + 32
120 org.python.python             	0x00007fffa1356ad1 0x7fffa12b8000 + 649937
121 org.python.python             	0x00007fffa1356b78 PyRun_FileExFlags + 130
122 org.python.python             	0x00007fffa13566fa PyRun_SimpleFileExFlags + 706
123 org.python.python             	0x00007fffa136796c Py_Main + 3064
124 libdyld.dylib                 	0x00007fffbdd85ff9 start + 1

Thread 1:
0   libsystem_kernel.dylib        	0x00007fffbded477a __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fffbe00523e _pthread_wqthread + 995
2   libsystem_pthread.dylib       	0x00007fffbe004e49 start_wqthread + 13

Thread 2:
0   libsystem_kernel.dylib        	0x00007fffbded477a __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fffbe005440 _pthread_wqthread + 1509
2   libsystem_pthread.dylib       	0x00007fffbe004e49 start_wqthread + 13

Thread 3:
0   libsystem_kernel.dylib        	0x00007fffbded477a __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fffbe00523e _pthread_wqthread + 995
2   libsystem_pthread.dylib       	0x00007fffbe004e49 start_wqthread + 13

Thread 4:
0   libsystem_pthread.dylib       	0x00007fffbe004e3c start_wqthread + 0
1   ???                           	0x00007fffc6497930 OBJC_METACLASS_$_OS_xpc_date + 40

Thread 5:
0   libsystem_pthread.dylib       	0x00007fffbe004e3c start_wqthread + 0

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000002000209  rbx: 0x0000000000000001  rcx: 0x00007fff5b0d6d88  rdx: 0x0000000000000000
  rdi: 0x0000000000000008  rsi: 0x0000000000000001  rbp: 0x00007fff5b0d6de0  rsp: 0x00007fff5b0d6d88
   r8: 0x00007f8ac94a1580   r9: 0x0000000000000080  r10: 0x0000000000000000  r11: 0x0000000000000246
  r12: 0x0000000000000000  r13: 0x0000000000000000  r14: 0x0000000000000008  r15: 0x0000000000000080
  rip: 0x00007fffbded33d6  rfl: 0x0000000000000246  cr2: 0x0000000105307000
  
Logical CPU:     0
Error Code:      0x02000209
Trap Number:     133


Binary Images:
       0x104b24000 -        0x104b25fff  org.python.python (2.7.10 - 2.7.10) <F2127346-10C7-3C9C-98C7-2A8F26E9E448> /System/Library/Frameworks/Python.framework/Versions/2.7/Resources/Python.app/Contents/MacOS/Python
       0x104c75000 -        0x104c76fff  _locale.so (109) <D782AA04-BB60-3682-8329-5AED24C72B84> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_locale.so
       0x104d1b000 -        0x104d29ff3  _io.so (109) <526F3EF7-B2F2-3C2F-B5CD-A4E036EDB467> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_io.so
       0x104d7b000 -        0x104d7cff3  time.so (109) <49823D6E-8D71-3422-AC22-733FFD1C1222> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/time.so
       0x104d83000 -        0x104d86fff  _struct.so (109) <85CB389D-9633-3E2F-A156-8C5724E30130> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_struct.so
       0x104d8d000 -        0x104d8fffb  _collections.so (109) <7FC827A0-DADC-3E27-BC28-18320D233C9B> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_collections.so
       0x104d96000 -        0x104d99fff  operator.so (109) <31D86F5C-F6ED-3DD3-8599-946A9AD9DE52> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/operator.so
       0x104da0000 -        0x104da4fff  itertools.so (109) <B36360B5-C576-35ED-8869-D98F894502E8> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/itertools.so
       0x104dae000 -        0x104daffff  _heapq.so (109) <CEC39418-C60A-32C8-840F-D846A425DF21> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_heapq.so
       0x104df5000 -        0x104df5fff  grp.so (109) <91EACFC1-80D7-3875-A162-3BF87386E212> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/grp.so
       0x104dfa000 -        0x104dfcfff  binascii.so (109) <EF7160F8-64FF-38C5-8288-592AE4FB7535> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/binascii.so
       0x104e01000 -        0x104e02fff  cStringIO.so (109) <0B2343A8-D8FA-3B19-BB66-772DD7867510> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/cStringIO.so
       0x104e08000 -        0x104e0bffb  strop.so (109) <2D4AACCA-6009-3952-B094-7E662227693A> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/strop.so
       0x104e11000 -        0x104e13fff  zlib.so (109) <C162617C-AE96-3A05-8097-70466C3C7599> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/zlib.so
       0x104e19000 -        0x104e1afff  _functools.so (109) <9D1729E8-F073-3594-8A6B-6ABFB3C90328> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_functools.so
       0x104e5f000 -        0x104e68ff3  datetime.so (109) <3C599449-8111-397F-AE22-61E845E7C119> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/datetime.so
       0x104f72000 -        0x104f75ffb  math.so (109) <E4EB4393-5A6A-3531-9525-794B95B67022> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/math.so
       0x104f7c000 -        0x104f7dfff  _hashlib.so (109) <F0AF8B42-29A6-372F-919A-D47EED6E6500> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_hashlib.so
       0x104f83000 -        0x104f84ffb  _random.so (109) <C96D90D5-E73D-3300-AB6D-7044800D454A> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_random.so
       0x104f89000 -        0x104f90ff3  _socket.so (109) <9FF3C3DB-2910-3D91-B8FF-6C5CDFB7E362> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_socket.so
       0x104f9b000 -        0x104fa4ffb  _ssl.so (109) <8BEB8BFA-B11A-352C-BB0A-DEB69464E22C> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_ssl.so
       0x105030000 -        0x105030fff  _scproxy.so (109) <16BC3D97-2B73-3133-B802-855A5995C7B8> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_scproxy.so
       0x105087000 -        0x105088fff  fcntl.so (109) <2DB86420-5982-32CF-8D6C-61BC28F9DC87> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/fcntl.so
       0x10508d000 -        0x105094fff  parser.so (109) <63168D6B-E4A2-37A4-8162-396B0F4E56A0> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/parser.so
       0x1050da000 -        0x1050dfffb  pyexpat.so (109) <80E1C5D4-6A3D-3EFB-A5ED-DB63ED09EF66> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/pyexpat.so
       0x1051a7000 -        0x1051a9fff  select.so (109) <1D095B7D-A935-326A-A485-E954F047EAD4> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/select.so
       0x1051b0000 -        0x1051b2fff  _multiprocessing.so (109) <37AC3F99-B7A7-315B-9C71-9BC4A34078D7> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_multiprocessing.so
       0x1051b8000 -        0x1051c3ffb  cPickle.so (109) <7C5E649B-4D48-3E4C-ABDB-7282076A9EEB> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/cPickle.so
       0x10524a000 -        0x10524bfff  termios.so (109) <9067E25A-DC89-3123-BC27-11DA5C570518> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/termios.so
       0x105251000 -        0x10525afff  _curses.so (109) <18410BC2-054C-358F-AABF-196DC9456562> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_curses.so
       0x1052a2000 -        0x1052a6fff  array.so (109) <FF011C7C-DDE4-3356-8FF3-7496E064B9C0> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/array.so
       0x1052ed000 -        0x1052f1ffb  _json.so (109) <C2D638CB-90FC-3991-96A0-488DD2A12FE9> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_json.so
       0x1052f7000 -        0x1052f7fff  syslog.so (109) <7DF711A4-4A2E-304B-8D4F-C6D33D41B89B> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/syslog.so
       0x1052fc000 -        0x1052fcfff +strxor.so (0) <7C94EC76-54AF-3261-8A19-2DF755B766A9> /Library/Python/2.7/site-packages/Crypto/Util/strxor.so
       0x1052ff000 -        0x105300fff +_counter.so (0) <47FF0AA5-CCD7-3B20-990A-18B66F1583B9> /Library/Python/2.7/site-packages/Crypto/Util/_counter.so
       0x105303000 -        0x105303fff +_constant_time.so (0) <16DCFBC5-3563-3A31-8C51-64B3478F6D8A> /Library/Python/2.7/site-packages/cryptography/hazmat/bindings/_constant_time.so
       0x1055e2000 -        0x1055e7fff +_AES.so (0) <703B60CE-55E2-3177-A92E-03BE7A013EDE> /Library/Python/2.7/site-packages/Crypto/Cipher/_AES.so
       0x1056aa000 -        0x1056c4ff7 +_cffi_backend.so (???) <2CE78FC0-02E7-3D62-A4D0-D6DA09165D92> /Library/Python/2.7/site-packages/_cffi_backend.so
       0x1056da000 -        0x1056e8fff  _ctypes.so (109) <4BB0D26B-4F10-381A-95EE-87BCDAC110B0> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_ctypes.so
       0x1058b4000 -        0x1058c5fff +_commoncrypto.so (0) <B62339F1-6CE4-35D6-A831-8C22C9BC03F9> /Library/Python/2.7/site-packages/cryptography/hazmat/bindings/_commoncrypto.so
       0x1059e3000 -        0x105a87ff7  unicodedata.so (109) <63579D07-3CF7-30D1-9E07-DD8221ECF17D> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/unicodedata.so
       0x105b0f000 -        0x105b0ffff  _bisect.so (109) <3CF35421-B794-3462-9DF4-47940D7DBA06> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_bisect.so
       0x105b54000 -        0x105d799f7 +_openssl.so (0) <2B4985A2-EBC1-3EC5-8720-5AC83CD083FC> /Library/Python/2.7/site-packages/cryptography/hazmat/bindings/_openssl.so
       0x1062e3000 -        0x1062eafff  crypto.so (46) <91F370CB-2821-3BE3-8D90-73D7D84D7204> /System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/OpenSSL/crypto.so
       0x1062f9000 -        0x1062f9fff  rand.so (46) <328AFE5A-23F9-317F-9906-111A56D31090> /System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/OpenSSL/rand.so
       0x1062fe000 -        0x106303fff  SSL.so (46) <488EB6DB-1131-389A-A1ED-EBB93B52D679> /System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/OpenSSL/SSL.so
       0x10dc53000 -        0x10dc9b37f  dyld (513.2) <CEB3F2DA-93CF-3991-AD98-582FAF7023AB> /usr/lib/dyld
    0x7fff930df000 -     0x7fff930dffff  com.apple.Accelerate (1.11 - Accelerate 1.11) <903090ED-25F4-3715-9707-0D7775831390> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff930f7000 -     0x7fff935effc7  com.apple.vImage (8.1 - ???) <F759CAFD-8396-37D6-944E-9B84BBD2D6D1> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff935f0000 -     0x7fff9374afc3  libBLAS.dylib (1211) <5924ECE5-7788-308F-86A2-589181677DAB> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff9374b000 -     0x7fff93778fef  libBNNS.dylib (30) <DC3EEC09-1B5B-3690-96B5-C2E13D1DAEC1> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
    0x7fff93779000 -     0x7fff93b39ff7  libLAPACK.dylib (1211) <4560987F-B203-366F-B2CA-3291BCFB511A> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff93b3a000 -     0x7fff93b4fff7  libLinearAlgebra.dylib (1211) <3ECB936A-1D5A-3BEE-A9A2-248EF132CE3F> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fff93b50000 -     0x7fff93b55ff3  libQuadrature.dylib (3) <680BCCDA-0F73-331E-B5F3-1E50A4B4E762> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib
    0x7fff93b56000 -     0x7fff93bb4fff  libSparse.dylib (76) <43168B0F-42F2-3CEB-B90D-45C4BC977647> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparse.dylib
    0x7fff93bb5000 -     0x7fff93bc8fff  libSparseBLAS.dylib (1211) <547C43FB-0243-340A-9B9B-AE8E5A5653BA> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
    0x7fff93bc9000 -     0x7fff93d5ffcb  libvDSP.dylib (619) <2AFFCEAD-4CAA-3C1C-A000-61D84ECF6025> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff93d60000 -     0x7fff93e10feb  libvMisc.dylib (619) <CBBEB2A6-D601-3BA2-982A-A56684032E82> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff93e11000 -     0x7fff93e11fff  com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <EBA00AA4-F774-322D-8EB7-B05BE1360C30> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff94f8c000 -     0x7fff94f8cfff  com.apple.ApplicationServices (48 - 50) <C46EFDF8-7EC0-3B68-BABC-3B2010369398> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff94f8d000 -     0x7fff94ff3fff  com.apple.ApplicationServices.ATS (377 - 440) <3924CF93-5AE7-392A-AE3F-DC6A14BA1943> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff9508c000 -     0x7fff951b1fff  libFontParser.dylib (216) <E6E471A2-28E0-3CF5-9A39-6EF2E0F02387> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff951b2000 -     0x7fff951fcfff  libFontRegistry.dylib (215) <4642AF86-D1BB-33A4-B03E-9C04D95FCED1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff9533e000 -     0x7fff95342ff3  com.apple.ColorSyncLegacy (1.0 - 1) <551CA2A5-39A2-3ADE-B1AD-B756150D2C35> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSyncLegacy.framework/Versions/A/ColorSyncLegacy
    0x7fff953e2000 -     0x7fff95434ff3  com.apple.HIServices (1.22 - 618) <3E0CA915-F1CE-324B-9E5B-29475233066C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff95435000 -     0x7fff95443fff  com.apple.LangAnalysis (1.7.0 - 1.7.0) <095FB990-EF6F-39F3-906D-C736A9092697> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff95444000 -     0x7fff95490fff  com.apple.print.framework.PrintCore (13 - 500) <465C52E7-1FC0-30B6-8C8A-52FE53FC4EAE> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff95491000 -     0x7fff954cbfff  com.apple.QD (3.12 - 403) <A4423B71-0D16-3665-BE94-0890FF4F2255> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff954cc000 -     0x7fff954d8ff7  com.apple.speech.synthesis.framework (7.0.12 - 7.0.12) <3779590C-AE9E-3E73-86AA-7561EDDC9E59> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff954d9000 -     0x7fff95760fff  com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) <72215CA9-AA2A-3DC7-90A8-83414B9ABDBF> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff95a77000 -     0x7fff95de4ff7  com.apple.CFNetwork (861.1 - 861.1) <2FAFBC01-0DE7-3E81-9625-355BA99633CB> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff96300000 -     0x7fff963b8fff  com.apple.ColorSync (4.13.0 - 530) <BD44F121-AF40-3056-ADC4-0E9351E16C66> /System/Library/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff9653f000 -     0x7fff965d2ff7  com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <52753110-84F3-3FDC-A086-A3F1FB68A84A> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff96662000 -     0x7fff969a2ff7  com.apple.CoreData (120 - 832) <218BCBC3-2598-3ADE-B3F1-62A8316031A7> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff969a3000 -     0x7fff96a62ff7  com.apple.CoreDisplay (1.0 - 64) <D0F72341-CC5B-3097-B7EA-3B1FB1E88BA6> /System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay
    0x7fff96a63000 -     0x7fff96f05fff  com.apple.CoreFoundation (6.9 - 1433) <1CA2CF01-91A0-337B-BA7C-0F8AAE8A08B3> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff96f07000 -     0x7fff97511fe7  com.apple.CoreGraphics (2.0 - 1107) <7269184D-67E0-33BD-ACD3-7AB7E35BC737> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff97513000 -     0x7fff977a9fff  com.apple.CoreImage (13.0.0 - 547) <9D57B874-DBCD-3859-9844-675696DD413F> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff97b82000 -     0x7fff97b82fff  com.apple.CoreServices (815.2 - 815.2) <6173EB59-5DB2-380B-8AAB-1DAA7FCEC499> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff97b83000 -     0x7fff97bf7ff3  com.apple.AE (732 - 732) <3D0C6733-F36E-3F84-9576-1DF4A8439455> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff97bf8000 -     0x7fff97ecfff7  com.apple.CoreServices.CarbonCore (1176 - 1176) <6C43CB0E-5ADB-3273-BC0C-052FE01565E2> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff97ed0000 -     0x7fff97f03ff7  com.apple.DictionaryServices (1.2 - 282) <126FFF25-96D3-37D3-AD6E-FBC8552BE334> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff97f04000 -     0x7fff97f0cff7  com.apple.CoreServices.FSEvents (1237 - 1237) <4551E5F7-1FC9-3753-8DC9-4CB37F0CDBD9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
    0x7fff97f0d000 -     0x7fff980c2ff7  com.apple.LaunchServices (815.2 - 815.2) <7C80BB19-BF10-3BF3-9806-8CF300385BC3> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff980c3000 -     0x7fff98171ff3  com.apple.Metadata (10.7.0 - 1163.3) <F6DBD0CB-C525-30F1-8008-F9553DE9FB19> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff98172000 -     0x7fff981cfff7  com.apple.CoreServices.OSServices (815.2 - 815.2) <6981E9D6-C397-364A-A482-ECEB082F0860> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff981d0000 -     0x7fff9823efff  com.apple.SearchKit (1.4.0 - 1.4.0) <5135CBBF-F0EF-3553-9672-4D474725CA8A> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff9823f000 -     0x7fff98262fff  com.apple.coreservices.SharedFileList (64.1 - 64.1) <A6D22030-A12A-3001-9BEE-7B112529F31F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
    0x7fff98506000 -     0x7fff98651fff  com.apple.CoreText (352.0 - 569.1) <20751940-98D8-3538-9129-D98C47C0AD4A> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff98652000 -     0x7fff9868bffb  com.apple.CoreVideo (1.8 - 272.0) <78805556-EE16-325A-9D83-74AA48EDF265> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff9898d000 -     0x7fff98992fff  com.apple.DiskArbitration (2.7 - 2.7) <F6DB777C-1951-39F6-BF43-8E8D7C7A85E7> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff98b51000 -     0x7fff98f0eff7  com.apple.Foundation (6.9 - 1433.14) <89F8CCE7-A405-34CF-9EDC-0803077AD3A8> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff98f7e000 -     0x7fff98faeffb  com.apple.GSS (4.0 - 2.0) <C148DD8B-9AF6-3BCD-950D-B1E036FA3166> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff9921f000 -     0x7fff992b9fff  com.apple.framework.IOKit (2.0.2 - 1428) <B61357BF-AF17-3992-A951-1D3BB45B55C7> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff992bb000 -     0x7fff992c1fff  com.apple.IOSurface (196 - 196) <029E1524-F89F-39B0-A88C-2F8985E9A4A4> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff99315000 -     0x7fff99482fef  com.apple.ImageIO.framework (3.3.0 - 1669) <D8DF6947-FC58-33CD-9D60-8C066652CF6A> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff99483000 -     0x7fff99487ffb  libGIF.dylib (1669) <EAF9E639-6816-3377-B209-2CEBE45DF2C2> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff99488000 -     0x7fff9956ffff  libJP2.dylib (1669) <D7725D44-F018-3132-B6E2-AA7781415A4C> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff99570000 -     0x7fff99593ff7  libJPEG.dylib (1669) <971C01B3-3E71-3D36-BF45-9D9815AB9860> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff9986e000 -     0x7fff99894feb  libPng.dylib (1669) <7F9C9079-0203-3264-8289-A9ED37B29326> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff99895000 -     0x7fff99897ffb  libRadiance.dylib (1669) <2997A82D-0EDA-3E07-8EB0-6B4C02CF210C> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff99898000 -     0x7fff998e5fff  libTIFF.dylib (1669) <41D558A1-C9FA-3E44-945D-C1347C0BB7CD> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff9a609000 -     0x7fff9a622ff3  com.apple.Kerberos (3.0 - 1) <0D34094D-C667-327A-BF2F-062D8EE6C48C> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff9b311000 -     0x7fff9b38fff7  com.apple.Metal (120.1 - 120.1) <C99F5BCF-747D-38AB-9A9B-AAD4A68FC61F> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
    0x7fff9b3aa000 -     0x7fff9b3bffff  com.apple.MetalPerformanceShaders.MPSCore (1.0 - 1) <A759CC2E-0125-3464-BC9A-D5B88A48CA2B> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSCore.framework/Versions/A/MPSCore
    0x7fff9b3c0000 -     0x7fff9b42afef  com.apple.MetalPerformanceShaders.MPSImage (1.0 - 1) <B6E5804D-EB31-39BC-AB81-C869AE0B2FE2> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSImage.framework/Versions/A/MPSImage
    0x7fff9b42b000 -     0x7fff9b44affb  com.apple.MetalPerformanceShaders.MPSMatrix (1.0 - 1) <EA6FACAA-EFF2-300D-929A-4C59349C77EE> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSMatrix.framework/Versions/A/MPSMatrix
    0x7fff9b44b000 -     0x7fff9b4b3fff  com.apple.MetalPerformanceShaders.MPSNeuralNetwork (1.0 - 1) <FCDE6634-DE14-3328-A013-76C507734F8D> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSNeuralNetwork.framework/Versions/A/MPSNeuralNetwork
    0x7fff9b4b4000 -     0x7fff9b4b4ff7  com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1) <8DBFE620-D4CB-3F20-B7D1-1C0C90104AE2> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/MetalPerformanceShaders
    0x7fff9c44b000 -     0x7fff9c452fff  com.apple.NetFS (6.0 - 4.0) <E68278CC-84A2-37AE-B581-9D966945B9EE> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff9f2af000 -     0x7fff9f2fcffb  com.apple.opencl (2.8.8 - 2.8.8) <0B0EA163-0B17-3395-8493-EE998380580A> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff9f2fd000 -     0x7fff9f318ff3  com.apple.CFOpenDirectory (10.13 - 204) <2008AE0C-7B0D-3EFA-88D5-A26BF8163224> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff9f319000 -     0x7fff9f324fff  com.apple.OpenDirectory (10.13 - 204) <DA362781-0303-3A8E-84F2-023AA92460FC> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fffa04a3000 -     0x7fffa04a5fff  libCVMSPluginSupport.dylib (15.0.38) <17634196-ABE3-3264-AFA9-458FAE88D5DD> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fffa04a6000 -     0x7fffa04a9ff7  libCoreFSCache.dylib (160.7) <421E3EF9-0ACB-3605-8A7A-1D676A853527> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
    0x7fffa04aa000 -     0x7fffa04aefff  libCoreVMClient.dylib (160.7) <E1674500-538B-3B5A-9CD4-D424EC3A37B8> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fffa04af000 -     0x7fffa04b8ff7  libGFXShared.dylib (15.0.38) <BD59EEAF-409D-320F-9FA3-02841E6936CA> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fffa04b9000 -     0x7fffa04c4fff  libGL.dylib (15.0.38) <13F21B8B-EADA-3B03-8E84-813A3FB42A73> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fffa04c5000 -     0x7fffa0500fe7  libGLImage.dylib (15.0.38) <90484321-5B93-391A-A938-66FA77DC2A7F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fffa066e000 -     0x7fffa06acffb  libGLU.dylib (15.0.38) <FD87805D-EF82-3564-95FF-47B6E13EC5F8> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fffa1024000 -     0x7fffa1032ffb  com.apple.opengl (15.0.38 - 15.0.38) <1A02DE70-8930-3DDB-B196-04D2D588228E> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fffa12b8000 -     0x7fffa13a7ff7  org.python.python (2.7.10 - 2.7.10) <BE3B642B-32AA-3175-BAA8-49991E19CAFA> /System/Library/Frameworks/Python.framework/Versions/2.7/Python
    0x7fffa1e71000 -     0x7fffa208dfff  com.apple.QuartzCore (1.11 - 544) <5DAA37C8-5BE1-3652-A567-8AC1EB80A2D1> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fffa28b7000 -     0x7fffa2bbcfff  com.apple.security (7.0 - 58241.0.0.1.1) <B931996A-6683-3019-8E82-D6826841DDD7> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fffa2bbd000 -     0x7fffa2c46ff7  com.apple.securityfoundation (6.0 - 55183) <9E497B33-EDEB-3A52-8BCD-8FAC98397E1C> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fffa2c75000 -     0x7fffa2c78ff3  com.apple.xpc.ServiceManagement (1.0 - 1) <A7AC9A44-D781-3356-A2FF-AE4E3E1AC3EA> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fffa301b000 -     0x7fffa308bffb  com.apple.SystemConfiguration (1.17 - 1.17) <4F0BBE4D-F8EC-3FD1-9BF1-782A008153CA> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fffa5c65000 -     0x7fffa5c7dfe7  com.apple.APFS (1.0 - 1) <E9A8EFB8-3F0F-30F4-80DC-82FC008EDF8E> /System/Library/PrivateFrameworks/APFS.framework/Versions/A/APFS
    0x7fffa69bc000 -     0x7fffa6a04fff  com.apple.AppleJPEG (1.0 - 1) <CCBAB335-8836-3537-8934-649137E0998A> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
    0x7fffa6a3f000 -     0x7fffa6a67fff  com.apple.applesauce (1.0 - ???) <3545BBCF-8FF3-3B74-9A3F-92CFC1A01289> /System/Library/PrivateFrameworks/AppleSauce.framework/Versions/A/AppleSauce
    0x7fffa7210000 -     0x7fffa7217fff  com.apple.coreservices.BackgroundTaskManagement (1.0 - 57.1) <8FAB0EF3-7F2A-3C46-A30E-F3342A5940C6> /System/Library/PrivateFrameworks/BackgroundTaskManagement.framework/Versions/A/BackgroundTaskManagement
    0x7fffa8be2000 -     0x7fffa8bebffb  com.apple.CommonAuth (4.0 - 2.0) <1ACD12C4-783F-3B3F-9EB5-399940FDB3DD> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fffa95cb000 -     0x7fffa95dbff7  com.apple.CoreEmoji (1.0 - 65) <E935F3C5-7807-306C-81AF-C5E73A84A5FD> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
    0x7fffaa92e000 -     0x7fffaa932ff7  com.apple.DSExternalDisplay (3.1 - 380) <476A7E1A-AB8F-358A-8424-B34FBEFAB2F4> /System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/DSExternalDisplay
    0x7fffab89e000 -     0x7fffabcccfff  com.apple.vision.FaceCore (3.3.2 - 3.3.2) <6E154CD6-4762-32A5-A48F-B999441A517B> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fffafc9d000 -     0x7fffafcacfff  com.apple.GraphVisualizer (1.0 - 5) <FDA4EE2B-BEDA-3AD5-8E71-D8CB6A6BCCB6> /System/Library/PrivateFrameworks/GraphVisualizer.framework/Versions/A/GraphVisualizer
    0x7fffafcff000 -     0x7fffafd73ff3  com.apple.Heimdal (4.0 - 2.0) <9921343D-4CDB-359C-B6E2-FD8E75F46946> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fffb05d3000 -     0x7fffb05daff7  com.apple.IOAccelerator (358 - 358) <6F656737-5EE3-3817-AAF1-527C0575B9DB> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
    0x7fffb05de000 -     0x7fffb05f4ff7  com.apple.IOPresentment (1.0 - 32.1) <DDE2EC99-458B-3362-9CC7-C970B1CEDE20> /System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPresentment
    0x7fffb0c5b000 -     0x7fffb0d4dff7  com.apple.LanguageModeling (1.0 - 152) <76D222F3-C960-320B-97F1-E063C2747742> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
    0x7fffb0d4e000 -     0x7fffb0d93fff  com.apple.Lexicon-framework (1.0 - 28) <54325E87-E536-3FEA-9CD4-882059B797F8> /System/Library/PrivateFrameworks/Lexicon.framework/Versions/A/Lexicon
    0x7fffb1948000 -     0x7fffb19adfff  com.apple.gpusw.MetalTools (1.0 - 1) <76937F06-7C1B-3620-9078-FD5073F0CC4A> /System/Library/PrivateFrameworks/MetalTools.framework/Versions/A/MetalTools
    0x7fffb1bb6000 -     0x7fffb1bdeff3  com.apple.MultitouchSupport.framework (431 - 431) <B2B1427B-412B-3907-A8D8-624A318DFDB6> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fffb1e3e000 -     0x7fffb1e49fff  com.apple.NetAuth (6.2 - 6.2) <EB2F64C1-0747-3D58-ADB1-9503AE568D8F> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fffb7c20000 -     0x7fffb7eb2ff3  com.apple.SkyLight (1.600.0 - 286) <9ED9DEED-8A5F-33EA-9EB1-C38FD3A57C92> /System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
    0x7fffb9707000 -     0x7fffb970efff  com.apple.TCC (1.0 - 1) <6CDAEC6B-05D1-3DF8-9BC5-683EFD0A1437> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fffb9a6c000 -     0x7fffb9a6dfff  com.apple.TrustEvaluationAgent (2.0 - 31) <39F533B2-211E-3635-AF47-23F27749FF4A> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
    0x7fffbb44e000 -     0x7fffbb450ff7  com.apple.loginsupport (1.0 - 1) <2AE0AB82-6613-3B2E-A967-C880DEDAD628> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
    0x7fffbb756000 -     0x7fffbb78ffff  libCRFSuite.dylib (41) <823C0426-8EB2-3437-BEA5-B8435EFB4B1C> /usr/lib/libCRFSuite.dylib
    0x7fffbb790000 -     0x7fffbb79bfff  libChineseTokenizer.dylib (28) <625D4CE0-9C6A-3857-AA15-AD30D50B650E> /usr/lib/libChineseTokenizer.dylib
    0x7fffbb82d000 -     0x7fffbb82eff7  libDiagnosticMessagesClient.dylib (103) <495B43F1-F21B-3CA1-8F95-59B8F36A79A2> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fffbb865000 -     0x7fffbba2fff3  libFosl_dynamic.dylib (17.6) <92B9E75B-4A2B-34F8-BAAF-AF5897B247D6> /usr/lib/libFosl_dynamic.dylib
    0x7fffbba67000 -     0x7fffbba67fff  libOpenScriptingUtil.dylib (172) <D43A5945-28B5-392B-9D0B-40D861F50C18> /usr/lib/libOpenScriptingUtil.dylib
    0x7fffbbb95000 -     0x7fffbbb96ff3  libSystem.B.dylib (1252) <CFC085EA-300E-3950-96A6-370404E04290> /usr/lib/libSystem.B.dylib
    0x7fffbbc29000 -     0x7fffbbc29fff  libapple_crypto.dylib (97.0.0.0.1) <0865224F-F38B-392B-8DBB-84E582C54D7F> /usr/lib/libapple_crypto.dylib
    0x7fffbbc2a000 -     0x7fffbbc40ff3  libapple_nghttp2.dylib (1.20.3) <BDFAB4A0-D204-3DD3-BC62-B9E80A325BDA> /usr/lib/libapple_nghttp2.dylib
    0x7fffbbc41000 -     0x7fffbbc6bff3  libarchive.2.dylib (54) <0B7FD7AD-0CFD-3F2C-88F0-ACBCBE8ECC2C> /usr/lib/libarchive.2.dylib
    0x7fffbbcf1000 -     0x7fffbbcf1ff3  libauto.dylib (187) <A05C7900-F8C7-3E75-8D3F-909B40C19717> /usr/lib/libauto.dylib
    0x7fffbbcf2000 -     0x7fffbbd9dff7  libboringssl.dylib (97.0.0.0.1) <90BBDFFB-9517-331B-AC61-C9B31547DE9D> /usr/lib/libboringssl.dylib
    0x7fffbbd9e000 -     0x7fffbbdadff3  libbsm.0.dylib (39) <8423D62C-DA49-3581-8018-9CF1983A6EEE> /usr/lib/libbsm.0.dylib
    0x7fffbbdae000 -     0x7fffbbdbbffb  libbz2.1.0.dylib (38) <0A5086BB-4724-3C14-979D-5AD4F26B5B45> /usr/lib/libbz2.1.0.dylib
    0x7fffbbdbc000 -     0x7fffbbe12fff  libc++.1.dylib (400.9) <FCF5E1F6-2B04-3545-8004-F3AB32FED172> /usr/lib/libc++.1.dylib
    0x7fffbbe13000 -     0x7fffbbe37ff7  libc++abi.dylib (400.7) <217656D5-BC40-37FF-B322-91CB2AAD4F34> /usr/lib/libc++abi.dylib
    0x7fffbbe39000 -     0x7fffbbe49fff  libcmph.dylib (6) <A5509EE8-7E00-3224-8814-015B077A3CF5> /usr/lib/libcmph.dylib
    0x7fffbbe4a000 -     0x7fffbbe60fd3  libcompression.dylib (44) <F814591F-9653-34EA-AE68-FD971B8DA3F6> /usr/lib/libcompression.dylib
    0x7fffbc11b000 -     0x7fffbc133ff7  libcoretls.dylib (154) <AC7B8B15-8327-3F4F-B03B-2D92E7B1FFB2> /usr/lib/libcoretls.dylib
    0x7fffbc134000 -     0x7fffbc135ffb  libcoretls_cfhelpers.dylib (154) <B7EC65D4-7056-3062-A862-C82AC6A10DE2> /usr/lib/libcoretls_cfhelpers.dylib
    0x7fffbc2ce000 -     0x7fffbc45efff  libcrypto.35.dylib (22) <067CFC21-249D-392D-ADE1-785100BF0F83> /usr/lib/libcrypto.35.dylib
    0x7fffbc605000 -     0x7fffbc65affb  libcups.2.dylib (457) <5FAD96AA-8F31-3B76-B2F1-3D7F3392DB79> /usr/lib/libcups.2.dylib
    0x7fffbc798000 -     0x7fffbc798fff  libenergytrace.dylib (16) <A92AB8B8-B986-3CE6-980D-D55090FEF387> /usr/lib/libenergytrace.dylib
    0x7fffbc799000 -     0x7fffbc7b1ffb  libexpat.1.dylib (15) <D4B9CF9A-4854-3AB4-924A-DBF2ED9124E6> /usr/lib/libexpat.1.dylib
    0x7fffbc7bf000 -     0x7fffbc7c0fff  libffi.dylib (18.1) <02011073-8CB7-362F-BC52-43B4E83687B0> /usr/lib/libffi.dylib
    0x7fffbc7ce000 -     0x7fffbc7d3ffb  libheimdal-asn1.dylib (518) <BBEEC607-5C6D-3E83-804C-F6BF98746DEE> /usr/lib/libheimdal-asn1.dylib
    0x7fffbc7ff000 -     0x7fffbc8f0ff7  libiconv.2.dylib (51) <0772997F-4109-38A1-91ED-0F3F16AE99E5> /usr/lib/libiconv.2.dylib
    0x7fffbc8f1000 -     0x7fffbcb17ffb  libicucore.A.dylib (59108.0.1) <7F51EA4C-8285-3714-A5C0-B775725707FD> /usr/lib/libicucore.A.dylib
    0x7fffbcb64000 -     0x7fffbcb65fff  liblangid.dylib (128) <39C39393-0D05-301D-93B2-F224FC4949AA> /usr/lib/liblangid.dylib
    0x7fffbcb66000 -     0x7fffbcb7fffb  liblzma.5.dylib (10) <3D419A50-961F-37D2-8A01-3DC7AB7B8D18> /usr/lib/liblzma.5.dylib
    0x7fffbcb80000 -     0x7fffbcb96ff7  libmarisa.dylib (9) <D6D2D55D-1D2E-3442-B152-B18803C0ABB4> /usr/lib/libmarisa.dylib
    0x7fffbcc47000 -     0x7fffbce76ff7  libmecabra.dylib (770) <E252BDBA-65C3-3CCE-83FF-340CF6980DC2> /usr/lib/libmecabra.dylib
    0x7fffbce7b000 -     0x7fffbceabffb  libncurses.5.4.dylib (53) <030DF747-F71B-367A-83EE-2F30B7947929> /usr/lib/libncurses.5.4.dylib
    0x7fffbd04e000 -     0x7fffbd11dff3  libnetwork.dylib (1196.0.0.1.1) <E362551B-F260-3789-88AB-C1824A583C5B> /usr/lib/libnetwork.dylib
    0x7fffbd193000 -     0x7fffbd5817f7  libobjc.A.dylib (720) <BD4749EC-0FF9-3113-9B15-50B536CC7B07> /usr/lib/libobjc.A.dylib
    0x7fffbd594000 -     0x7fffbd598fff  libpam.2.dylib (22) <7B4D2CE2-1438-387A-9802-5CEEFBF26F86> /usr/lib/libpam.2.dylib
    0x7fffbd59b000 -     0x7fffbd5cffff  libpcap.A.dylib (77) <FC02E20A-541B-3613-AD0A-89706C87EBB6> /usr/lib/libpcap.A.dylib
    0x7fffbd64f000 -     0x7fffbd66bffb  libresolv.9.dylib (65) <E8F3415B-4472-3202-8901-41FD87981DB2> /usr/lib/libresolv.9.dylib
    0x7fffbd6bb000 -     0x7fffbd849ffb  libsqlite3.dylib (266) <0009E8DA-7879-3920-B2D1-A5552DE3735C> /usr/lib/libsqlite3.dylib
    0x7fffbd8a5000 -     0x7fffbd8f8ffb  libssl.35.dylib (22) <4D77B502-E065-3794-90E7-39E83F9683F6> /usr/lib/libssl.35.dylib
    0x7fffbda18000 -     0x7fffbda4ffff  libusrtcp.dylib (1196.0.0.1.1) <61712622-6D7B-3D04-B90B-03C06A51C5A8> /usr/lib/libusrtcp.dylib
    0x7fffbda50000 -     0x7fffbda53ffb  libutil.dylib (51) <58C59F00-031B-3798-B697-A8A4C58E70AA> /usr/lib/libutil.dylib
    0x7fffbda54000 -     0x7fffbda61fff  libxar.1.dylib (400) <A6626CFD-5CC1-32E6-9CEF-C652885631F0> /usr/lib/libxar.1.dylib
    0x7fffbda65000 -     0x7fffbdb4cfff  libxml2.2.dylib (31.5) <7679E85C-C3F0-302A-AE40-5F7FEE879AAC> /usr/lib/libxml2.2.dylib
    0x7fffbdb4d000 -     0x7fffbdb75ffb  libxslt.1.dylib (15.9) <DDD75DF9-C7B9-34E4-8841-17253CF4E40F> /usr/lib/libxslt.1.dylib
    0x7fffbdb76000 -     0x7fffbdb87ff7  libz.1.dylib (68) <3DDAEFB9-66FA-3E2D-8C0F-5A18AB8150A6> /usr/lib/libz.1.dylib
    0x7fffbdc1e000 -     0x7fffbdc22ff7  libcache.dylib (79) <1457D615-F582-3A52-A546-28C1A26A8FE0> /usr/lib/system/libcache.dylib
    0x7fffbdc23000 -     0x7fffbdc2dff3  libcommonCrypto.dylib (60117) <D448CBEF-E229-3969-9CFB-6065D760E1D9> /usr/lib/system/libcommonCrypto.dylib
    0x7fffbdc2e000 -     0x7fffbdc35fff  libcompiler_rt.dylib (62) <2C282262-54F9-3A67-B53E-CB5F7418DD21> /usr/lib/system/libcompiler_rt.dylib
    0x7fffbdc36000 -     0x7fffbdc3efff  libcopyfile.dylib (146) <6FC59A4F-7A15-3BD0-9C24-477B5B7A982D> /usr/lib/system/libcopyfile.dylib
    0x7fffbdc3f000 -     0x7fffbdcc3ffb  libcorecrypto.dylib (551) <BBF295F0-2470-3009-AED4-F32E2B9B2C25> /usr/lib/system/libcorecrypto.dylib
    0x7fffbdd4a000 -     0x7fffbdd84ff7  libdispatch.dylib (893) <50BBCB27-E361-3929-8513-70FEB437A61F> /usr/lib/system/libdispatch.dylib
    0x7fffbdd85000 -     0x7fffbdda0ffb  libdyld.dylib (513.2) <E4CCB3B8-5D08-3D73-A568-145857DE7EFE> /usr/lib/system/libdyld.dylib
    0x7fffbdda1000 -     0x7fffbdda1ffb  libkeymgr.dylib (28) <A67248BC-5361-3629-9497-DB6D59AC87E8> /usr/lib/system/libkeymgr.dylib
    0x7fffbdda2000 -     0x7fffbddaeff7  libkxld.dylib (4481.0.0.1.1) <024232DE-7D70-370F-BB4C-A07DFE1363C6> /usr/lib/system/libkxld.dylib
    0x7fffbddaf000 -     0x7fffbddafff7  liblaunch.dylib (1173) <7FBD9B64-07C1-3EF6-974E-70C107B0E793> /usr/lib/system/liblaunch.dylib
    0x7fffbddb0000 -     0x7fffbddb4ffb  libmacho.dylib (900) <58A84A1F-7C96-3CD5-9637-C4AD35FC856A> /usr/lib/system/libmacho.dylib
    0x7fffbddb5000 -     0x7fffbddb7ff3  libquarantine.dylib (86) <6FAC40D2-BA20-3BE8-AB51-7B552F4F6103> /usr/lib/system/libquarantine.dylib
    0x7fffbddb8000 -     0x7fffbddb9ff3  libremovefile.dylib (45) <3193FFE3-1254-3C3D-B6D4-198644BCF995> /usr/lib/system/libremovefile.dylib
    0x7fffbddba000 -     0x7fffbddd1ff3  libsystem_asl.dylib (356) <C1D99B58-4045-3D2D-B932-B59E2C4FAE1D> /usr/lib/system/libsystem_asl.dylib
    0x7fffbddd2000 -     0x7fffbddd2fff  libsystem_blocks.dylib (67) <BCEA848B-879B-313D-9F1A-63785DF96024> /usr/lib/system/libsystem_blocks.dylib
    0x7fffbddd3000 -     0x7fffbde5cfe7  libsystem_c.dylib (1230) <D0C52CD7-BB10-3C0A-9885-C5EFD3DEB8C3> /usr/lib/system/libsystem_c.dylib
    0x7fffbde5d000 -     0x7fffbde60ffb  libsystem_configuration.dylib (951) <31DA1200-2A3C-3D55-982E-4BA3050B6038> /usr/lib/system/libsystem_configuration.dylib
    0x7fffbde61000 -     0x7fffbde64ffb  libsystem_coreservices.dylib (50) <277C9353-70E0-3FB6-B137-EDD6D32FEDD5> /usr/lib/system/libsystem_coreservices.dylib
    0x7fffbde65000 -     0x7fffbde66ff3  libsystem_darwin.dylib (1230) <843F09DC-D5E8-3EF3-90A9-B211578138D3> /usr/lib/system/libsystem_darwin.dylib
    0x7fffbde67000 -     0x7fffbde6dff7  libsystem_dnssd.dylib (869) <EBA0FD33-D391-3EF8-AAE9-6FAE99215ACC> /usr/lib/system/libsystem_dnssd.dylib
    0x7fffbde6e000 -     0x7fffbdeb7ff7  libsystem_info.dylib (513) <9F729295-12B6-34FC-84C2-C341BC47DCC6> /usr/lib/system/libsystem_info.dylib
    0x7fffbdeb8000 -     0x7fffbdeddff7  libsystem_kernel.dylib (4481.0.0.1.1) <6D4CA4C4-82D1-3C58-B383-B6FD3C789DE7> /usr/lib/system/libsystem_kernel.dylib
    0x7fffbdede000 -     0x7fffbdf29fcb  libsystem_m.dylib (3145) <B1D3F17D-048A-3F4E-9F5B-9F5B9EEECC42> /usr/lib/system/libsystem_m.dylib
    0x7fffbdf2a000 -     0x7fffbdf49fff  libsystem_malloc.dylib (135) <C44399B2-0AE9-31CC-82B4-9901E542D71D> /usr/lib/system/libsystem_malloc.dylib
    0x7fffbdf4a000 -     0x7fffbdfe4ff7  libsystem_network.dylib (1196.0.0.1.1) <9C77C0C9-A18F-3BA0-868D-7469E6A39CF1> /usr/lib/system/libsystem_network.dylib
    0x7fffbdfe5000 -     0x7fffbdfefffb  libsystem_networkextension.dylib (739) <BCC9B0E4-497D-3C72-9A6A-5910F1618BAD> /usr/lib/system/libsystem_networkextension.dylib
    0x7fffbdff0000 -     0x7fffbdff9ff3  libsystem_notify.dylib (170) <4C874E44-8D5F-35FA-8BE6-26E5CB04FF59> /usr/lib/system/libsystem_notify.dylib
    0x7fffbdffa000 -     0x7fffbe001ff7  libsystem_platform.dylib (158) <ABB49DE6-7918-325A-9D3F-98D393DFC70B> /usr/lib/system/libsystem_platform.dylib
    0x7fffbe002000 -     0x7fffbe00dfff  libsystem_pthread.dylib (293) <5EDB59B9-556E-3AD3-871A-BB634DFB8020> /usr/lib/system/libsystem_pthread.dylib
    0x7fffbe00e000 -     0x7fffbe011ffb  libsystem_sandbox.dylib (745.0.0.0.1) <D8674767-FB66-39AB-AA2D-A10777407B0C> /usr/lib/system/libsystem_sandbox.dylib
    0x7fffbe012000 -     0x7fffbe013ff3  libsystem_secinit.dylib (29) <DA243870-EC66-339D-B07A-E5BE6214AE78> /usr/lib/system/libsystem_secinit.dylib
    0x7fffbe014000 -     0x7fffbe01bffb  libsystem_symptoms.dylib (787) <437DF646-70A9-3CFE-AF3B-EEBDD569A104> /usr/lib/system/libsystem_symptoms.dylib
    0x7fffbe01c000 -     0x7fffbe02ffff  libsystem_trace.dylib (793) <28C3B223-F0EE-315D-82B7-1B6529AEA58A> /usr/lib/system/libsystem_trace.dylib
    0x7fffbe031000 -     0x7fffbe036ff7  libunwind.dylib (35.3) <05D93F98-913F-315C-9817-B6CEE7741CE4> /usr/lib/system/libunwind.dylib
    0x7fffbe037000 -     0x7fffbe062fff  libxpc.dylib (1173) <C636ADC4-2C4D-3DF0-BA21-B97275B90214> /usr/lib/system/libxpc.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 48961
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=290.6M resident=0K(0%) swapped_out_or_unallocated=290.6M(100%)
Writable regions: Total=135.9M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=135.9M(100%)
 
                                VIRTUAL   REGION 
REGION TYPE                        SIZE    COUNT (non-coalesced) 
===========                     =======  ======= 
Activity Tracing                   256K        2 
Dispatch continuations            16.0M        2 
Kernel Alloc Once                    8K        2 
MALLOC                            83.6M       23 
MALLOC guard page                   32K        9 
STACK GUARD                       56.0M        7 
Stack                             18.6M        9 
Stack Guard                          8K        3 
VM_ALLOCATE                       17.3M       32 
__DATA                            15.0M      229 
__FONT_DATA                          4K        2 
__LINKEDIT                       186.6M       49 
__TEXT                           104.0M      229 
__UNICODE                          556K        2 
shared memory                       60K        7 
===========                     =======  ======= 
TOTAL                            497.9M      592 

Model: MacBookPro11,4, BootROM MBP114.0172.B16, 4 processors, Intel Core i7, 2.2 GHz, 16 GB, SMC 2.29f24
Graphics: Intel Iris Pro, Intel Iris Pro, Built-In
Memory Module: BANK 0/DIMM0, 8 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54343147533642465238412D50422020
Memory Module: BANK 1/DIMM0, 8 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54343147533642465238412D50422020
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x152), Broadcom BCM43xx 1.0 (7.77.28.0.1a2)
Bluetooth: Version 6.0.0d47, 3 services, 27 devices, 1 incoming serial ports
Network Service: Thunderbolt Ethernet Slot 3, Ethernet, en7
Network Service: Wi-Fi, AirPort, en0
PCI Card: pci1b73,1100, USB eXtensible Host Controller, Thunderbolt@194,0,0
PCI Card: ethernet, Ethernet Controller, Thunderbolt@193,0,0
PCI Card: pci1b73,1100, USB eXtensible Host Controller, Thunderbolt@192,0,0
PCI Card: pci11c1,5901, IEEE 1394 Open HCI, Thunderbolt@191,0,0
Serial ATA Device: OWC Aura SSD, 960.04 GB
Serial ATA Device: MARVELL VIRTUAL
USB Device: USB 3.0 Bus
USB Device: Internal Memory Card Reader
USB Device: Apple Internal Keyboard / Trackpad
USB Device: Bluetooth USB Host Controller
USB Device: USB 3.0 Bus
USB Device: USB audio CODEC
USB Device: USB 3.0 Bus
USB Device: USB Receiver
Thunderbolt Bus: MacBook Pro, Apple Inc., 27.1
Thunderbolt Device: Thunderbolt 2 Dock, Other World Computing, Inc., 1, 25.1
msg297607 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-07-03 19:09
Sorry, without more information, there is not much we can do about this.  Can you supply a reproducible test case?  In any case, the crash is from use of the Apple-supplied system Python 2.7.10 which is a few releases behind the most recent released upstream (2.7.13).  And it is running on pre-release public beta.  You should report the problem to Apple using their Feedback Assistant.

All that said, the crash trace does show the Python helper extension module _scproxy in the chain and _scproxy has been problematic in the past: it is used to get network proxy information from the System Configuration framework. Previous crashes seemed to be due to lack of thread-safety in Apple's libdispatch, see for bpo-30385, but that doesn't seem to be the case here.  Things may work differently under the covers in High Sierra.  If you are able to reliably reproduce the problem, it would be interesting to see if the workaround in http://bugs.python.org/issue30385#msg293958 helps.
msg297630 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2017-07-04 09:16
Joshua: does your script use os.fork(), or multiprocessing? 

In that case this is a known issue made worse on High Sierra: _scproxy uses Cocoa libraries, and those cause problems when using for without exec. In High Sierra the Cocoa libraries are more strict and are hence more likely to cause problems like this.

There's not much we can do about that, other than avoiding using _scproxy. If you don't use a proxy server setting "no_proxy" in your shell environment should do the trick.
msg297889 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2017-07-07 15:01
I proprose closing this issue as there's too little information to reproduce the problem, the crash is using a system build of Python on a beta version of macOS and this appears to be a known issue.
msg297910 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-07-07 20:57
I agree with Ronald.  Feel free to reopen if a reproducible test case can be supplied and duplicated with, say, a python.org Python.  We still may not be able to do much about it other than suggest avoiding the proxy lookup.
History
Date User Action Args
2017-07-07 20:57:50ned.deilysetstatus: open -> closed
resolution: third party
messages: + msg297910

stage: resolved
2017-07-07 15:01:15ronaldoussorensetmessages: + msg297889
2017-07-04 09:16:57ronaldoussorensetmessages: + msg297630
2017-07-03 19:09:43ned.deilysetmessages: + msg297607
2017-07-03 14:39:01ayesjmcreate